---
title: List of resources
---

This list tries to compile all templates, libraries, building blocks and examples in one place. Add more to the list by clicking the "Improve this page" button below!

## Templates

- [Hello World (TypeScript)](https://github.com/remotion-dev/template-helloworld)
- [Hello World (JavaScript)](https://github.com/remotion-dev/template-helloworld-javascript)
- [Blank](https://github.com/remotion-dev/template-empty)
- [React Three Fiber](https://github.com/remotion-dev/template-three)
- [Stills](https://github.com/remotion-dev/template-still)
- [TTS template](https://github.com/FelippeChemello/Remotion-TTS-Example)
- [Audiogram](https://github.com/marcusstenbeck/template-audiogram)
- [Skia](https://github.com/marcusstenbeck/template-skia)
- [Tailwind](https://github.com/marcusstenbeck/template-tailwind)

## SaaS starter Kits

- [Remix template](https://github.com/florentpergoud/remotion-remix-template)
- [Next.js template](https://github.com/remotion-dev/template-next)

## Integrations

- [React Three Fiber](/docs/three)
- [Skia](/docs/skia)
- [Google Fonts](/docs/google-fonts)
- [Figma](/docs/figma)
- [Lottie](/docs/lottie)
- [spline.design](/docs/spline)
- [After Effects](/docs/lottie/after-effects)
- [GIFs](/docs/gif)

## Effects

- [Motion Blur](/docs/motion-blur)
- [Noise](/docs/noise)
- [Path animations](/docs/paths)

## Animation Libraries

- [Remotion Animated](https://www.remotion-animated.dev/)
- [remotion-transition-series](https://reactjsexample.com/remotion-series-component-with-transitions/)

## Full projects

- [Github Unwrapped](https://github.com/remotion-dev/github-unwrapped)
- [Podcast Maker](https://github.com/remotion-dev/podcast-maker)
- [Stargazer](https://github.com/pomber/stargazer)
- [MapSnap](https://companies.remotion.dev) _(exclusive for Company License subscribers)_
- [Mockoops](https://github.com/Just-Moh-it/Mockoops)
- [Product Hunt Today](https://github.com/Kamigami55/product-hunt-today)
- [Remotion Wether](https://github.com/florentpergoud/remotion-weather)

## Examples

- [Music with Tone.JS](https://github.com/remotion-dev/tone-js-example)
- [Animate a .glb model](https://github.com/remotion-dev/glb-example)
- [Typewriter effect](https://github.com/remotion-dev/typewriter)
- [D3.js](https://github.com/remotion-dev/d3-example)
- [Greenscreen Effect](/docs/video-manipulation)
- [Noise visualization](/docs/noise-visualization)
- [Audio visualization](/docs/audio-visualization)
- [3D Text](https://github.com/JonnyBurger/3d-text)
- [Wavy TikTok Effect](https://github.com/JonnyBurger/wavy-meme)
- [Apple "Spring loaded" animation](https://github.com/JonnyBurger/spring-loaded)
- [ThreeJS particles demo](https://github.com/JonnyBurger/three-particles)
- [Text Morphing](https://github.com/JonnyBurger/morph-text)
- [Include GLTF models](https://github.com/JonnyBurger/remotion-three-gltf-example)
- [OpenGL transitions](https://github.com/JonnyBurger/remotion-gl-transitions)
- [Conference talk in React](https://github.com/pomber/record-talk-with-remotion)
- [Conference talk in React #2](https://github.com/JonnyBurger/react-summit-talk)

## Videos

See the [Showcase](/showcase) for videos made with Remotion.

## Tutorials

- [Spotify Wrapped](https://www.youtube.com/watch?v=I-y_5H9-3gk&t=86s)
- [Programmatic Stories](https://www.youtube.com/watch?v=70UdF6DWY3M&t=6s)
- [Basketball Tracker](https://www.youtube.com/watch?v=A8miHLSf_BI&t=77s)
- [Formula 1 Graphics](https://www.youtube.com/watch?v=sA-X0Bw_7Gg&t=146s)
- [Remotion Skia Tutorial](https://www.youtube.com/watch?v=-7MOoWN2_nk)
- [Fireship: Remotion Tutorial](https://www.youtube.com/watch?v=deg8bOoziaE&t=3s)
- [A soft introduction to Remotion](https://www.youtube.com/watch?v=szh2Qgo9SVE&t=847s)
- [CRT effect](https://www.youtube.com/watch?v=-7MOoWN2_nk)

## Humans

- [Experts](/experts)
- [Support](/docs/support)
- [Success Stories](/success-stories)

## See also

- [Remotion GitHub topic](https://github.com/topics/remotion)
- [#resources and #showcase channel on Discord](https://remotion.dev/discord)

Many resources in our documentation were left out from this list to avoid too much redundancy. [Search](/search) the documentation to see if we have an article on what you are looking for!
