## @remotion/paths

A package providing utility functions for dealing with SVG paths. This package consists of code from [`svg-path-properties`](https://www.npmjs.com/package/svg-path-properties) and [`svg-path-reverse`](https://github.com/Pomax/svg-path-reverse#readme) with the following improvements:

- Functional style APIs
- First class Typescript types
- Documentation with examples
- ESM import style

No dependencies are needed, meaning this package can be used independently of Remotion.

## API

- [`getLength()`](https://remotion.dev/docs/paths/get-length)
- [`getParts()`](https://remotion.dev/docs/paths/get-parts)
- [`getPointAtLength()`](https://remotion.dev/docs/paths/get-point-at-length)
- [`getTangentAtLength()`](https://remotion.dev/docs/paths/get-tangent-at-length)
- [`reversePath()`](https://remotion.dev/docs/paths/reverse-path)
- [`normalizePath()`](https://remotion.dev/docs/paths/normalize-path)
- [`interpolatePath()`](https://remotion.dev/docs/paths/interpolate-path)
- [`evolvePath()`](https://remotion.dev/docs/paths/evolve-path)

## License

MIT
